/************************************************************************/
/*									*/
/*  R2RDemo.pde	-- Example demo for R2R			                */
/*									*/
/************************************************************************/
/*  Author:	Eric Marsh						*/
/*  Copyright (c) 2016, Digilent Inc.  	    				*/
/************************************************************************/
/************************************************************************/
/*  Module Description:							*/
/*									*/
/*  This sketch is an example on on how to play notes to a speaker      */
/*  using the PmodR2R                                                  */
/************************************************************************/
/*  Revision History:							*/
/*									*/
/*  7/1/2016(Eric M): Created                                          */
/*									*/
/************************************************************************/
/************************************************************************/
/*  Board Support:							*/
/*									*/
/*  chipKit MX3                                           	        */
/************************************************************************/

/* -------------------------------------------------------------------- */
/*		        Include File Definitions                     	*/
/* -------------------------------------------------------------------- */
#include <R2R.h>
#include <DSPI.h>
/* -------------------------------------------------------------------- */
/*		            Global Variables                     	*/
/* -------------------------------------------------------------------- */
R2R myR2R;
/* -------------------------------------------------------------------- */
/*	               Procedure Definitions	                        */
/* -------------------------------------------------------------------- */
/***	setup
**
**	Parameters:
**		none
**
**	Return Value:
**		none
**
**	Errors:
**		none
**
**	Description:
**		 Performs basic initialization.		
/*** ---------------------------------------------------------- ***/
void setup()
{
  // initialize PmodR2R, the 0 is the first pin # to send voltages to
  myR2R.begin(PAR_ACCESS_SPI0, 1000000, 0);
}

/* -------------------------------------------------------------------- */
/*	               Procedure Definitions	                        */
/* -------------------------------------------------------------------- */
/***	loop
**
**	Parameters:
**		none
**
**	Return Value:
**		none
**
**	Errors:
**		none
**
**	Description:
**		 Main loop	
/*** ---------------------------------------------------------- ***/
void loop()
{
  // incrementally send values 0 - 255 to PmodR2R's analog output
  for(int i = 0; i < 256; i++)
  {
    // send integer i to be written to PmodR2R's analog output
    myR2R.SendInteger(i);
    // print the binary representation of i in Serial Monitor
    myR2R.PrintBinaryArray();
  }
}

